// Copyright 2020 Google LLC
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//      http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

/// Random text for testing.
///
/// Credits [lipsum.com](https://www.lipsum.com/).
const libsum = '''
Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nulla suscipit lorem
ornare magna hendrerit, id consequat enim aliquet. Cras porta porta rhoncus.
Mauris facilisis ullamcorper nunc, et lobortis dolor luctus at. Integer luctus
metus eu luctus fringilla. Quisque in cursus leo, non cursus justo. Morbi vel
neque a quam pulvinar dapibus. Vivamus non condimentum urna. Proin lacinia enim
ante. In sodales et lacus eu porttitor. Donec eget lacinia dolor. Duis
scelerisque diam sed mauris auctor vestibulum. Orci varius natoque penatibus et
magnis dis parturient montes, nascetur ridiculus mus.

Praesent sodales neque in ipsum tempor, et faucibus turpis tristique. Sed non
placerat erat. Sed quam turpis, tempus in ante non, sodales scelerisque quam.
Aliquam vitae sagittis felis. Orci varius natoque penatibus et magnis dis
parturient montes, nascetur ridiculus mus. Nullam tempor erat non blandit
elementum. Phasellus vel diam felis. Praesent fermentum erat vitae ligula
pretium imperdiet. Proin in lacinia ex. Sed feugiat egestas luctus. Cras
pellentesque orci quis mi auctor commodo. Aenean sit amet luctus libero. Morbi
eu elit sed ligula hendrerit suscipit. Praesent facilisis nisl a mauris cursus
molestie.

Pellentesque habitant morbi tristique senectus et netus et malesuada fames ac
turpis egestas. Cras lacinia ante ac laoreet semper. Morbi iaculis lobortis
massa, quis pharetra purus commodo vel. Nulla rhoncus enim nibh, ac ultrices
lectus elementum ut. Proin pellentesque maximus euismod. Quisque convallis dui
ac lorem sodales placerat. Nunc aliquet purus at eros elementum scelerisque quis
et neque. Vestibulum non purus interdum, volutpat ex sed, placerat elit. Nullam
nec velit vulputate, semper dolor ut, mattis purus. Maecenas at iaculis augue.
Donec tempor nisl eu finibus congue.

Lorem ipsum dolor sit amet, consectetur adipiscing elit. Donec in lorem
imperdiet, eleifend lorem imperdiet, porta erat. Vestibulum in porttitor tellus.
Aenean dictum dapibus magna, vel venenatis sapien posuere at. Etiam eu hendrerit
lacus, nec posuere libero. Aenean malesuada urna non est luctus, vel placerat
metus bibendum. In convallis laoreet tincidunt. In hendrerit posuere lacus vel
varius. In eget metus libero. In hac habitasse platea dictumst. Etiam et
rutrum tellus. Duis venenatis, mi quis sagittis tristique, massa velit rhoncus
ex, quis rutrum erat augue ut ante. Fusce blandit eleifend pellentesque. Quisque
semper fringilla viverra.

Aenean imperdiet nunc ante, id auctor magna blandit quis. Curabitur sed urn
eleifend, pharetra tortor quis, viverra tellus. In nec erat turpis. Morbi
hendrerit vehicula magna in pellentesque. Cras eu rhoncus turpis, eu porttitor
arcu. Maecenas fringilla ultrices varius. Phasellus suscipit, sapien eget
lobortis semper, tortor orci feugiat est, ac volutpat leo neque in felis. Donec
tincidunt magna urna, in fermentum mi malesuada nec. Maecenas laoreet in leo
vitae mattis. Pellentesque scelerisque consectetur iaculis. Aliquam at urna
gravida, vehicula odio et, molestie nunc. Donec ultrices odio iaculis malesuada
maximus. Vestibulum ante ipsum primis in faucibus orci luctus et ultrices
posuere cubilia Curae; Aliquam quis hendrerit lacus.

Donec ut nisi vel lectus feugiat egestas eu eu mi. Nullam sagittis metus
condimentum ligula imperdiet, id suscipit lorem pretium. Quisque posuere
dignissim pharetra. Vivamus pulvinar libero odio. Pellentesque habitant morbi
tristique senectus et netus et malesuada fames ac turpis egestas. Donec rutrum
arcu tellus, sed viverra risus gravida a. Fusce lacinia arcu sit amet nisl
commodo auctor. Integer et est eu neque pellentesque faucibus. Sed nisl nulla,
placerat lobortis lacinia vel, lobortis ac orci. Sed et feugiat nibh. Nunc
auctor gravida nunc non interdum. Vestibulum sit amet suscipit risus. Donec
risus metus, luctus in dictum nec, ullamcorper at nisl. Praesent enim magna,
rhoncus quis condimentum ac, aliquam at nibh.

Sed mollis sapien in gravida auctor. Aenean nibh tortor, suscipit at vehicula
id, vestibulum nec nisl. Duis erat nisi, rhoncus vel tincidunt vel, porta in
dui. Donec blandit tortor venenatis ultrices tempor. Mauris velit est, lobortis
a nibh sed, interdum laoreet odio. Vivamus et leo molestie risus elementum
euismod. Praesent eu nulla eget risus sollicitudin lobortis et sodales est.
Vivamus gravida sollicitudin tortor, eu dictum tellus tristique sit amet.

Duis ultrices quis quam vitae fermentum. In viverra sem id est tincidunt
dignissim. Pellentesque tristique, nisl sed lacinia iaculis, augue magna maximus
neque, in aliquam velit leo id mauris. Etiam posuere tellus lectus, eu ornare
nisi venenatis id. Cras tempus sodales ultricies. Curabitur a dui accumsan
tellus rhoncus commodo. In arcu sem, tempor et blandit eget, porttitor a odio.
Aliquam mattis gravida viverra. Pellentesque ut ornare magna, elementum commodo
diam. Mauris non dui mauris. Sed pharetra, nisi sed suscipit vulputate, eros
nulla egestas lacus, non tincidunt odio libero in leo. Donec iaculis, tortor
porttitor tempor molestie, purus purus blandit massa, eu lobortis justo dolor
eget felis.

Integer suscipit scelerisque nulla vitae elementum. Etiam lorem dui, luctus at
neque non, mattis consectetur felis. Fusce non elit pulvinar odio iaculis
commodo at sit amet mi. Pellentesque vehicula leo ut pulvinar euismod. Aliquam
bibendum efficitur risus, nec gravida purus congue sed. Aenean quis nisl vitae
urna porttitor rhoncus. Ut porta pretium dui in consequat. Nullam ut risus
velit. Mauris quis mattis massa. Phasellus convallis hendrerit diam, et tempor
nisl maximus ac.

Donec laoreet, leo ultrices pellentesque aliquet, velit ligula scelerisque dui,
quis lacinia urna enim eget felis. Vestibulum vestibulum luctus diam, quis
interdum leo aliquam ac. Nunc ac mi in lectus aliquam egestas. Cras eu tortor
ante. Mauris a arcu at tellus molestie eleifend. Etiam bibendum iaculis turpis
eget venenatis. Aliquam fermentum, velit ac sollicitudin tincidunt, urna tellus
vehicula odio, vel blandit dolor ante sit amet sapien. Suspendisse rhoncus
tincidunt neque ac consectetur. Suspendisse fringilla leo et dolor vehicula,
quis porta arcu scelerisque. Sed felis dolor, ultricies eu dui at, commodo
tempor neque. Integer in pharetra libero. Quisque semper justo orci, vitae
venenatis ante pellentesque sed. Suspendisse placerat, arcu at consectetur
aliquet, dolor augue molestie sem, non posuere tortor est nec velit. Maecenas
feugiat urna at ultrices blandit. Fusce eros sem, vulputate ut risus non,
luctus ultrices urna. Quisque cursus dapibus sagittis.

Nulla facilisi. Aliquam in porttitor erat, quis tempus dui. Pellentesque
hendrerit vel massa et tristique. Quisque volutpat mauris id diam elementum
vulputate. Pellentesque habitant morbi tristique senectus et netus et malesuada
fames ac turpis egestas. Etiam suscipit est vel hendrerit blandit. Nullam quis
mi et orci imperdiet dictum. Nullam gravida molestie massa, sed feugiat nisl
eleifend id. Nunc eu justo id eros rutrum dapibus eget id mauris. Morbi quis
erat vehicula, dapibus tortor et, scelerisque purus. Duis vitae pellentesque
dolor. Ut sit amet est sapien. Praesent pretium nulla odio, non pharetra turpis
varius in. Pellentesque molestie lacus ornare venenatis molestie. Ut at
tincidunt ipsum.

Nullam ac sem lobortis risus lobortis imperdiet. Proin dignissim laoreet
tincidunt. Phasellus tincidunt elit eget pellentesque gravida. Integer vel erat
euismod, venenatis libero nec, faucibus dui. Proin efficitur, turpis eu posuere
fermentum, massa erat consequat ipsum, at faucibus ligula tortor in sem.
Curabitur cursus nec odio in tempus. Aliquam vitae magna id libero euismod
aliquet. Morbi accumsan gravida dolor, nec egestas eros hendrerit ut. Nullam
quis dui nec mauris sagittis tincidunt. Fusce a velit commodo, laoreet nisl et,
sodales justo. Ut bibendum leo vitae pulvinar dignissim. Proin imperdiet
pulvinar venenatis. Suspendisse facilisis dictum sodales. Integer pulvinar
pulvinar laoreet. Nulla sagittis efficitur consectetur.

Etiam eget laoreet leo, id accumsan quam. Nullam aliquam urna eu tellus
efficitur feugiat. Pellentesque massa ante, vestibulum et odio vel, commodo
molestie nulla. Ut odio magna, luctus quis nullam.
''';
